ArrayObject::exchangeArray
ArrayObject::getFlags
ArrayObject
PHP Manual

# ArrayObject::getArrayCopy

(PHP 5 >= 5.1.0)

ArrayObject::getArrayCopy — Creates a copy of the ArrayObject.

### Description

array ArrayObject::getArrayCopy ( void )

Exports the ArrayObject to an array.

### Parameters

This function has no parameters.

### Return Values

Returns a copy of the array. When the ArrayObject refers to an object an array of the public properties of that object will be returned.

### Examples

Example #1 ArrayObject::getArrayCopy() example

`<?php
// Array of available fruits
$fruits = array("lemons" => 1, "oranges" => 4, "bananas" => 5, "apples" => 10);
$fruitsArrayObject = new ArrayObject($fruits);
$fruitsArrayObject['pears'] = 4;
// create a copy of the array
$copy = $fruitsArrayObject->getArrayCopy();
print_r($copy);
?>`

The above example will output:

    Array
    (
        [lemons] => 1
        [oranges] => 4
        [bananas] => 5
        [apples] => 10
        [pears] => 4
    )

ArrayObject::exchangeArray
ArrayObject::getFlags
ArrayObject
PHP Manual